<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:output encoding="UTF-8" method="html" indent="yes" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:template match="/TODOLIST">
		<xsl:element name="html">
			<xsl:element name="head">
				<xsl:element name="title">
					<xsl:value-of select="@PROJECTNAME"/>
				</xsl:element>
				<style type="text/css">
				.table-with-borders { background-color:#eee;border-collapse:collapse; }
				.table-with-borders th { background-color:#000;color:white;width:20%; }
				.table-with-borders td, .table-with-borders th { padding:5px;border:1px solid #000; }
				</style>				
			</xsl:element>
			<xsl:element name="body">
				<xsl:value-of select="@PROJECTNAME"/>
				<xsl:element name="br"/>
				<xsl:value-of select="@FILENAME"/>
				<xsl:element name="br"/>
				<xsl:element name="br"/>
				<xsl:call-template name="create-table"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template name="create-table">
		<table class="table-with-borders">
			<tbody>
				<tr>
					<th>Item</th>
					<th>Unit</th>
					<th>Unit price</th>
					<th>Quantity</th>					
					<th>Price</th>
				</tr>
				<xsl:for-each select="//TASK[CUSTOMATTRIB]">
					<tr>
						<xsl:call-template name="create-table-row"/>
					</tr>
				</xsl:for-each>
				<tr>
					<td colspan="5"  align="right">
						<xsl:value-of select="format-number(sum(//TASK[CUSTOMATTRIB]/(CUSTOMATTRIB[@ID='CUST_QUANTITY']/@VALUE * CUSTOMATTRIB[@ID='CUST_UNITPRICE']/@VALUE)), '#.00')"/>
					</td>
				</tr>
			</tbody>
		</table>
	</xsl:template>
	<xsl:template name="create-table-row">
		<td>
			<xsl:value-of select="@TITLE"/>
		</td>
		<td>
			<xsl:value-of select="CUSTOMATTRIB[@ID='CUST_UNIT']/@VALUE"/>
		</td>
		<td align="right">
			<xsl:value-of select="format-number(CUSTOMATTRIB[@ID='CUST_UNITPRICE']/@VALUE, '#.00')"/>
		</td>
		<td align="right">
			<xsl:value-of select="CUSTOMATTRIB[@ID='CUST_QUANTITY']/@VALUE"/>
		</td>		
		<td align="right">
			<xsl:value-of select="format-number(CUSTOMATTRIB[@ID='CUST_QUANTITY']/@VALUE * CUSTOMATTRIB[@ID='CUST_UNITPRICE']/@VALUE, '#.00')"/>
		</td>
	</xsl:template>
</xsl:stylesheet>
